<?xml version="1.0" encoding="UTF-8"?>
<MEMPL_EDUCATE desc_thai="ทะเบียนประวัติพนักงานส่วนของระดับการศึกษา" desc_eng="Educational History" editcheck="true" mainhelp="MEMPL_EDUCATEHELP" referhelp="MEMPL_EDUCATEHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<REQUIRE>false</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<REQUIRE>false</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<EDUC_INDEX lang="A" encrypt="false" log="false" type="Integer">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>No.</DESC_ENG>
			<DESC_THAI>ลำดับ</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ลำดับ</ALT_THAI>
				<ALT_ENG>No.</ALT_ENG>
			</COMPONENT>
		</EDUC_INDEX>
		<DEGREEID encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MDEGREE</RELATION>
			<DESC_ENG>Degree</DESC_ENG>
			<DESC_THAI>ระดับการศึกษา</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ระดับการศึกษา</ALT_THAI>
				<ALT_ENG>Degree</ALT_ENG>
			</COMPONENT>
		</DEGREEID>
		<INSTITUE encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MINSTITUE</RELATION>
			<DESC_ENG>Institue</DESC_ENG>
			<DESC_THAI>สถานศึกษา</DESC_THAI>
			<!--<REQUIRE>true</REQUIRE>-->
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>สถานศึกษา</ALT_THAI>
				<ALT_ENG>Institue</ALT_ENG>
				<!--READONLY>TRUE</READONLY-->
			</COMPONENT>
		</INSTITUE>
		<OTHER_INSTITUE encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Institue (Specify)</DESC_ENG>
			<DESC_THAI>สถานศึกษา (ระบุ)</DESC_THAI>
			<!--<REQUIRE>true</REQUIRE>-->
			<COMPONENT type="text">
				<MAXSIZE>255</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_THAI>สถานศึกษา (อื่นๆ)</ALT_THAI>
				<ALT_ENG>Institue (Other)</ALT_ENG>
				<CSS>other</CSS>
				<!--READONLY>TRUE</READONLY-->
			</COMPONENT>
		</OTHER_INSTITUE>
		<FACULTY lang="A" encrypt="N" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MFACULTY</RELATION>
			<DESC_ENG>Faculty</DESC_ENG>
			<DESC_THAI>คณะ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>คณะ</ALT_THAI>
				<ALT_ENG>Faculty</ALT_ENG>
			</COMPONENT>
		</FACULTY>
		<OTHER_FACULTY lang="A" encrypt="N" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Faculty (Specify)</DESC_ENG>
			<DESC_THAI>คณะ (ระบุ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>255</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_THAI>คณะ (อื่น ๆ)</ALT_THAI>
				<ALT_ENG>Faculty (Other)</ALT_ENG>
				<CSS>other</CSS>
			</COMPONENT>
		</OTHER_FACULTY>
		<MAJORID lang="A" encrypt="N" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MMAJOR</RELATION>
			<DESC_ENG>Major</DESC_ENG>
			<DESC_THAI>สาขา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>สาขา</ALT_THAI>
				<ALT_ENG>Major</ALT_ENG>
				<!--
READONLY>TRUE</READONLY
				-->
			</COMPONENT>
		</MAJORID>
		<OTHER_MAJORID lang="A" encrypt="N" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Major (Specify)</DESC_ENG>
			<DESC_THAI>สาขา (ระบุ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>255</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_THAI>สาขา (อื่นๆ)</ALT_THAI>
				<ALT_ENG>Major (Other)</ALT_ENG>
				<CSS>other</CSS>
			</COMPONENT>
		</OTHER_MAJORID>
		<YEAR_START lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Started Year</DESC_ENG>
			<DESC_THAI>ปีที่เริ่ม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Started Year</ALT_ENG>
				<ALT_THAI>ปีที่เริ่ม</ALT_THAI>
				<ONKEYUP>formatYear(this);</ONKEYUP>
				<ONBLUR>chkOnYear1(this,__year_end);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<!--
ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS
				-->
			</COMPONENT>
		</YEAR_START>
		<YEAR_END lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Ended Year</DESC_ENG>
			<DESC_THAI>ปีที่สิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Ended Year</ALT_ENG>
				<ALT_THAI>ปีที่สิ้นสุด</ALT_THAI>
				<ONKEYUP>formatYear(this);</ONKEYUP>
				<ONBLUR>chkOnYear2(__year_start,this);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<!--
ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS
				-->
			</COMPONENT>
		</YEAR_END>
		<GPA lang="A" encrypt="false" log="false" type="BigDecimal">
			<WIDTH>5</WIDTH>
			<DESC_ENG>GPA</DESC_ENG>
			<DESC_THAI>เกรดเฉลี่ย</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>GPA</ALT_ENG>
				<ALT_THAI>เกรดเฉลี่ย</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0);</ONBLUR>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</GPA>
		<REFERENCE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Reference</DESC_ENG>
			<DESC_THAI>เอกสารอ้างอิง</DESC_THAI>
			<COMPONENT type="radio">
				<VALIDCODE>yesno</VALIDCODE>
				<VALUE>1</VALUE>
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_ENG>Reference</ALT_ENG>
				<ALT_THAI>เอกสารอ้างอิง</ALT_THAI>
				<ONKEYPRESS>javascript:chkInteger();</ONKEYPRESS>
			</COMPONENT>
		</REFERENCE>
		<PRIORITY lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Level</DESC_ENG>
			<DESC_THAI>ระดับความสำคัญ</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>PRIORITY_EDUCATE</VALIDCODE>
				<ALT_ENG>Level</ALT_ENG>
				<ALT_THAI>ระดับความสำคัญ</ALT_THAI>
			</COMPONENT>
		</PRIORITY>
		<THESIS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Thesis</DESC_ENG>
			<DESC_THAI>วิทยานิพนธ์</DESC_THAI>
			<COMPONENT type="textarea">
				<ALT_ENG>Thesis</ALT_ENG>
				<ALT_THAI>วิทยานิพนธ์</ALT_THAI>
				<LINES>5</LINES>
				<SIZECHAR>50</SIZECHAR>
			</COMPONENT>
		</THESIS>
		<RESEARCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Research</DESC_ENG>
			<DESC_THAI>โครงการวิจัย</DESC_THAI>
			<COMPONENT type="textarea">
				<ALT_ENG>Research</ALT_ENG>
				<ALT_THAI>โครงการวิจัย</ALT_THAI>
				<LINES>5</LINES>
				<SIZECHAR>50</SIZECHAR>
			</COMPONENT>
		</RESEARCH>
		<COUNTRYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MCOUNTRY</RELATION>
			<DESC_ENG>Country ID</DESC_ENG>
			<DESC_THAI>รหัสประเทศ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Country ID</ALT_ENG>
				<ALT_THAI>รหัสประเทศ</ALT_THAI>
			</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Country Code</DESC_ENG>
				<DESC_THAI>รหัสประเทศ</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>15</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Country Code</ALT_ENG>
					<ALT_THAI>รหัสประเทศ</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</COUNTRYID>
		<EDUID_ESP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MEDUCATE_ESPEC</RELATION>
			<DESC_ENG>Especial</DESC_ENG>
			<DESC_THAI>เน้น</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Especial</ALT_ENG>
				<ALT_THAI>เน้น</ALT_THAI>
			</COMPONENT>
		</EDUID_ESP>
		<EDUID_GEN lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MEDUCATE_GENERAL</RELATION>
			<DESC_ENG>General</DESC_ENG>
			<DESC_THAI>ด้าน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>General</ALT_ENG>
				<ALT_THAI>ด้าน</ALT_THAI>
			</COMPONENT>
		</EDUID_GEN>
		<BACKGROUNDID encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MEDUBACKGROUND</RELATION>
			<DESC_ENG>Education Background Code</DESC_ENG>
			<DESC_THAI>วุฒิการศึกษา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Education Background Code</ALT_ENG>
				<ALT_THAI>รหัสวุฒิการศึกษา</ALT_THAI>
			</COMPONENT>
		</BACKGROUNDID>
		<HONOURABLY encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Honourably</DESC_ENG>
			<DESC_THAI>เกียรตินิยม</DESC_THAI>
			<COMPONENT type="list">
				<VALUE>1</VALUE>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Honourably</ALT_ENG>
				<ALT_THAI>เกียรตินิยม</ALT_THAI>
				<VALIDCODE>HONOURABLY</VALIDCODE>
				<DEFAULTVALUE>2</DEFAULTVALUE>
			</COMPONENT>
		</HONOURABLY>
	</FIELD>
	<RELATION>

	</RELATION>
</MEMPL_EDUCATE>
